Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.transaction.memory.jca
Class MapXAResource.MapTransactionalResource

    java.lang.Object
      org.apache.commons.transaction.util.xa.AbstractTransactionalResource
          org.apache.commons.transaction.memory.jca.MapXAResource.MapTransactionalResource

All Implemented Interfaces:
  Status, TransactionalResource

Enclosing class:
  MapXAResource

protected static class MapXAResource.MapTransactionalResource
extends AbstractTransactionalResource

Field Summary

Fields inherited from class org.apache.commons.transaction.util.xa.AbstractTransactionalResource
`status, xid`

Fields inherited from interface javax.transaction.Status
`STATUS_ACTIVE, STATUS_COMMITTED, STATUS_COMMITTING, STATUS_MARKED_ROLLBACK, STATUS_NO_TRANSACTION, STATUS_PREPARED, STATUS_PREPARING, STATUS_ROLLEDBACK, STATUS_ROLLING_BACK, STATUS_UNKNOWN`

Constructor Summary
`MapXAResource.MapTransactionalResource(Xid xid, TransactionalMapWrapper map, LoggerFacade loggerFacade)`

Method Summary
`void` | `begin()`
`void` | `commit()` Commits the changes done inside this transaction reasource.
`int` | `prepare()` Prepares the changes done inside this transaction reasource.
`void` | `resume()`
`void` | `rollback()` Rolls back the changes done inside this transaction reasource.
`void` | `suspend()`

Methods inherited from class org.apache.commons.transaction.util.xa.AbstractTransactionalResource
`getStatus, getXid, setStatus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapXAResource.MapTransactionalResource

    public MapXAResource.MapTransactionalResource(Xid xid,
                                                  TransactionalMapWrapper map,
                                                  LoggerFacade loggerFacade)

Method Detail

### commit

    public void commit()
                throws XAException

  Description copied from interface: `TransactionalResource`
  Commits the changes done inside this transaction reasource. This can mean to call commit on a connection associated to the resource or any other action that needs to be taken to make changes in this resource permanent.

  Throws:
    `XAException` - when anything goes wrong the error must be described in XA notation

### rollback

    public void rollback()
                  throws XAException

  Description copied from interface: `TransactionalResource`
  Rolls back the changes done inside this transaction reasource. This can mean to call roll back on a connection associated to the resource or any other action that needs to be taken to undo the changes in this resource permanent.

  Throws:
    `XAException` - when anything goes wrong the error must be described in XA notation

### prepare

    public int prepare()
                throws XAException

  Description copied from interface: `TransactionalResource`
  Prepares the changes done inside this transaction reasource. Same semantics as `XAResource.prepare(Xid)`.

  Throws:
    `XAException` - when anything goes wrong the error must be described in XA notation

### suspend

    public void suspend()
                 throws XAException

  Throws:
    `XAException`

### resume

    public void resume()
                throws XAException

  Throws:
    `XAException`

### begin

    public void begin()
               throws XAException

  Throws:
    `XAException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 The Apache Software Foundation. All Rights Reserved.